Package commoble.morered.gatecrafting_plinth

# Class GatecraftingRecipeSerializer

java.lang.Object
net.minecraft.world.item.crafting.ShapelessRecipe.Serializer
commoble.morered.gatecrafting_plinth.GatecraftingRecipeSerializer

All Implemented Interfaces:
  `net.minecraft.world.item.crafting.RecipeSerializer<net.minecraft.world.item.crafting.ShapelessRecipe>`, `net.minecraftforge.common.extensions.IForgeRecipeSerializer<net.minecraft.world.item.crafting.ShapelessRecipe>`

public class GatecraftingRecipeSerializer extends net.minecraft.world.item.crafting.ShapelessRecipe.Serializer

## Field Summary

### Fields inherited from interface net.minecraft.world.item.crafting.RecipeSerializer

`ARMOR_DYE, BANNER_DUPLICATE, BLASTING_RECIPE, BOOK_CLONING, CAMPFIRE_COOKING_RECIPE, FIREWORK_ROCKET, FIREWORK_STAR, FIREWORK_STAR_FADE, MAP_CLONING, MAP_EXTENDING, REPAIR_ITEM, SHAPED_RECIPE, SHAPELESS_RECIPE, SHIELD_DECORATION, SHULKER_BOX_COLORING, SMELTING_RECIPE, SMITHING, SMOKING_RECIPE, STONECUTTER, SUSPICIOUS_STEW, TIPPED_ARROW`

## Constructor Summary

Constructors
Constructor
Description
`GatecraftingRecipeSerializer()`

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.world.item.crafting.ShapelessRecipe`
`fromJson(net.minecraft.resources.ResourceLocation recipeId, com.google.gson.JsonObject json)`
`net.minecraft.world.item.crafting.ShapelessRecipe`
`fromNetwork(net.minecraft.resources.ResourceLocation recipeId, net.minecraft.network.FriendlyByteBuf buffer)`

### Methods inherited from class net.minecraft.world.item.crafting.ShapelessRecipe.Serializer

`toNetwork`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraftforge.common.extensions.IForgeRecipeSerializer

`fromJson`

## Constructor Details

### GatecraftingRecipeSerializer

public GatecraftingRecipeSerializer()

## Method Details

### fromJson

public net.minecraft.world.item.crafting.ShapelessRecipe fromJson(net.minecraft.resources.ResourceLocation recipeId, com.google.gson.JsonObject json)

Specified by:
  `fromJson` in interface `net.minecraft.world.item.crafting.RecipeSerializer<net.minecraft.world.item.crafting.ShapelessRecipe>`
Overrides:
  `fromJson` in class `net.minecraft.world.item.crafting.ShapelessRecipe.Serializer`

### fromNetwork

public net.minecraft.world.item.crafting.ShapelessRecipe fromNetwork(net.minecraft.resources.ResourceLocation recipeId, net.minecraft.network.FriendlyByteBuf buffer)

Specified by:
  `fromNetwork` in interface `net.minecraft.world.item.crafting.RecipeSerializer<net.minecraft.world.item.crafting.ShapelessRecipe>`
Overrides:
  `fromNetwork` in class `net.minecraft.world.item.crafting.ShapelessRecipe.Serializer`